Bug 253291 - editors/vim: with GTK-2, install fails due to missing locale-based compressed manual pages
Summary: editors/vim: with GTK-2, install fails due to missing locale-based compressed...
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adam Weinberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-06 11:18 UTC by parv
Modified: 2021-04-02 19:50 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (adamw)


Attachments
vim with GTK-2 build, install log showing missing files errors from pkg-static (131.70 KB, text/plain)
2021-02-06 11:18 UTC, parv
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description parv 2021-02-06 11:18:51 UTC
Created attachment 222206 [details]
vim with GTK-2 build, install log showing missing files errors from pkg-static

Installation of editors/vim 8.2.2461 fails when I tried to install with GTK-2 support (had no issue with ATHENA or MOTIF options). Selected options for the build ...

===> The following configuration options are available for vim-8.2.2461:
     CSCOPE=on: cscope support
     DEFAULT_VIMRC=on: Install bundled vimrc as default setting
     MAKE_JOBS=on: Enable parallel build
     NLS=on: Native Language Support
     XTERM_SAVE=off: Restore xterm screen after exit
====> Optional language bindings
     LUA=off: Lua scripting language support
     PERL=off: Perl scripting language support
     PYTHON=off: Python bindings or support
     RUBY=off: Ruby bindings or support
     SCHEME=off: MzScheme (Racket) bindings
     TCL=off: Tcl scripting language support
====> Options available for the single CTAGS: you have to select exactly one of them
     CTAGS_BASE=off: Use system ctags
     CTAGS_EXUBERANT=off: Use exctags instead of ctags
     CTAGS_UNIVERSAL=on: Use uctags instead of ctags
====> User interface: you have to select exactly one of them
     ATHENA=off: Athena GUI toolkit
     CONSOLE=off: Console/terminal mode
     GNOME=off: GNOME desktop environment support
     GTK2=on: GTK+ 2 GUI toolkit support
     GTK3=off: GTK+ 3 GUI toolkit support
     MOTIF=off: Motif widget library support
     X11=off: X11 (graphics) support


Attached is the build & install log; last few lines (all the errors of similar nature) are ...

...
pkg-static: Unable to access file /src-build/ports-build/src-build/ports/editors/vim/work/stage/usr/local/man/tr.UTF-8/man1/rgvim.1.gz:No such file or directory
pkg-static: Unable to access file /src-build/ports-build/src-build/ports/editors/vim/work/stage/usr/local/man/tr/man1/eview.1.gz:No such file or directory
pkg-static: Unable to access file /src-build/ports-build/src-build/ports/editors/vim/work/stage/usr/local/man/tr/man1/gview.1.gz:No such file or directory
pkg-static: Unable to access file /src-build/ports-build/src-build/ports/editors/vim/work/stage/usr/local/man/tr/man1/gvim.1.gz:No such file or directory
pkg-static: Unable to access file /src-build/ports-build/src-build/ports/editors/vim/work/stage/usr/local/man/tr/man1/gvimdiff.1.gz:No such file or directory
pkg-static: Unable to access file /src-build/ports-build/src-build/ports/editors/vim/work/stage/usr/local/man/tr/man1/rgview.1.gz:No such file or directory
pkg-static: Unable to access file /src-build/ports-build/src-build/ports/editors/vim/work/stage/usr/local/man/tr/man1/rgvim.1.gz:No such file or directory
*** Error code 1


FreeBSD is ...

  FreeBSD gaia 12.2-STABLE FreeBSD 12.2-STABLE stable/12-c243340-g305b3ca5f40 INVM  amd64

Ports updated as of ...

  r564196 | bapt | 2021-02-05 21:34:02 -1000 (Fri, 05 Feb 2021) | 2 lines

  libgnomekbd is a gnome3 components now
Comment 1 Adam Weinberger freebsd_committer 2021-04-02 15:12:22 UTC
Is this still occurring? It looks like it may have been fixed upstream. Can you try with the latest vim in ports?
Comment 2 parv 2021-04-02 19:40:46 UTC
Hi Adam,

(My ports tree was being updated via subversion, up to the last subversion commit.) I tried with vim 8.2.2569, it was installed without issue with GTK-2 this time. Thanks for checking it.
Comment 3 Adam Weinberger freebsd_committer 2021-04-02 19:50:00 UTC
Thanks for checking it again, parv. I'm going to close out this PR. If it comes up again, please reopen it or send me an email.